package com.ashokit.transmgmt;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import com.ashokit.transmgmt.domain.Employee;
import com.ashokit.transmgmt.domain.Insurance;
import com.ashokit.transmgmt.service.OrganizationService;

@SpringBootApplication
public class TransactionMgmtApplication implements CommandLineRunner {
	
	
	@Autowired
	private OrganizationService orgService;

	public static void main(String[] args) {
		SpringApplication.run(TransactionMgmtApplication.class, args);
	}

	@Override
	public void run(String... args) throws Exception {
		Employee emp = new Employee();
		emp.setEmpName("Sandhya");

		Insurance employeeHealthInsurance = new Insurance();
		employeeHealthInsurance.setHealthInsuranceSchemeName("Test");
		employeeHealthInsurance.setCoverageAmount(1000000);
		
		orgService.onBoardEmployee(emp, employeeHealthInsurance);
	
		
	}

}
