package com.ashokit.transmgmt.service;

import javax.management.RuntimeErrorException;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.ashokit.transmgmt.domain.Employee;
import com.ashokit.transmgmt.domain.Insurance;

@Service
public class OrganizationService {
	
	@Autowired
	private EmployeeService empService;
	
	@Autowired
	private InsuranceService insService;
	
	@Transactional
	/*
	 * 1) It will inform Database to create temporary memory block
	 * 2) All DML statements under this block will move to temp block
	 * 3) Either commit/rollback taken by this 
	 */
	public void onBoardEmployee(Employee emp, Insurance ins) {
		
		//The below line inserts data into Employee Table
		empService.saveEmployee(emp);
		
		
		//The below line inserts data into Insurance Table
		ins.setEmpId(emp.getEmpId());
		if (ins.getHealthInsuranceSchemeName().length() <= 5) {
			throw new RuntimeErrorException(null, "Scheme Name is Invalid");
		} else {
			insService.registerInsurance(ins);
		}
	}
	
	

}
